@import "@/styles/variables";

.select-container {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;

    &__dropdown {
        div:first-child {
            width: 100%;
        }
    }

    li {
        padding: 0.5rem;
    }

    button {
        width: 100%;
    }

    &__selected {
        display: flex;
        gap: 0.5rem;
        padding: 18px 8px 10px;
        color: #545f78;
        font-weight: 500;
        line-height: 150%;
        border-bottom: 2px solid $gray-200;

        button {
            width: max-content;
            background: none;
            border: none;
            cursor: pointer;

            &:disabled {
                cursor: not-allowed;
            }
        }

        span {
            height: max-content;
        }
    }

    &__list {
        background-color: $white;
        border: 1px solid $gray-300;
        border-radius: $border-radius;
        padding: 0.5rem;
        box-shadow: 0 4px 6px rgb(0 0 0 / 10%);
        max-height: 300px;
        overflow-y: auto;
        z-index: 1000;

        li {
            list-style-type: none;
        }
    }

    &__options {
        display: flex;
        flex-direction: column;
        padding-top: 10px;
    }

    &__option {
        display: flex;
        gap: 0.5rem;
        padding: 0.5rem 0;
        cursor: pointer;
        border-radius: $border-radius;
        color: $gray-900;

        &:hover {
            background-color: $gray-200;
        }

        &:focus,
        &:focus-visible {
            border-radius: 4px;
            outline: 2px solid $primary-color;
        }
    }

    .dropdown-button {
        @include input-1;

        width: 100%;
        padding-top: 1.75rem;
        height: 58px;
        color: $gray-600;
        gap: 0.75rem;
        justify-content: start;
        padding-left: 3.5rem;
        align-items: center;

        &__label {
            max-width: 50%;
        }

        &:active,
        &:focus,
        &:focus-visible {
            color: $gray-800;
            background-color: $white;
        }

        span:nth-child(2) {
            max-width: 80%;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            position: relative;
            top: -0.5rem;
        }

        &__error {
            border: 1px solid $color-error;
        }

        span:first-child {
            width: 1.5rem;
            aspect-ratio: 1;
            position: absolute;
            top: 1.25rem;
            left: 18px;
        }

        span:last-child {
            position: absolute;
            right: 1rem;
            top: 1.75rem;
            transform: translateY(-50%);
            color: $gray-600;
        }

        &__with-value {
            color: $gray-900;

            span:nth-child(2) {
                top: 0;
            }
        }
    }

    /* For Webkit-based browsers */
    ::-webkit-scrollbar {
        width: 6px;
    }

    ::-webkit-scrollbar-track {
        background: $white;
        border-radius: 10px;
    }

    ::-webkit-scrollbar-thumb {
        background: $gray-400;
        border-radius: 10px;
    }

    ::-webkit-scrollbar-thumb:hover {
        background: $gray-300;
    }
}

.select-dropdown-label {
    position: absolute;
    top: 0.5rem;
    left: 3.6rem;
    color: $gray-600;
    transition: all 0.05s ease-in-out;

    @include label-1;
}

.error {
    @include error-message;

    padding-left: 1rem;
}
